cwlVersion: v1.2
class: Workflow

inputs:
  arcPath: Directory 
  assayName: string
  startingNodeNum: int
  outName: string

steps:
  isaSampleToRawDataSeq:
    run: ../../workflows/isaSampleToRawDataSeq/workflow.cwl
    in:
      arcPath: arcPath
      assayName: assayName
      startingNodeNum: startingNodeNum
      outName: outName
    out:
      - sampleseqCsv
      - sampleseqXlsx

outputs:
  sampleseqCsv:
    type: File
    outputSource: isaSampleToRawDataSeq/sampleseqCsv
  sampleseqXlsx:
    type: File
    outputSource: isaSampleToRawDataSeq/sampleseqXlsx